apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: gitea
  namespace: stackspout
spec:
  releaseName: gitea
  chart:
    spec:
      chart: gitea
      version: 5.0.9
      sourceRef:
        kind: HelmRepository
        name: gitea
        namespace: flux-system
  interval: 5m
  valuesFrom:
    - kind: ConfigMap
      name: stackspin-gitea-values
      optional: false
    # Allow overriding values by ConfigMap or Secret
    - kind: ConfigMap
      name: stackspin-gitea-override
      optional: true
    - kind: Secret
      name: stackspin-gitea-override
      optional: true
